BEGIN WILLYB



IF ~NumTimesTalkedTo(0)~ THEN BEGIN WillieBruceMeet
 SAY ~Alright geeza! U lot look 'ard! 'Ows about we go on the piss and sort out a few chavs?~ [WILLY001]
 ++ ~If I've understood you, then that sounds like a plan.~ GOTO WillieBruceMeet1
 ++ ~Get away from me, you hobo!~ GOTO WillieBruceMeet2
END

IF ~~ THEN BEGIN WillieBruceMeet1
 SAY ~Luvly...~
 IF ~~ THEN DO ~SetGlobal("WillieBruceJoined","LOCALS",1)JoinParty()~
EXIT
END

IF ~~ THEN BEGIN WillieBruceMeet2
 SAY ~U wanna watch y'self, mate.~
 IF ~~ THEN DO ~SetGlobal("WBWatch","GLOBAL",1)~
EXIT
END



IF ~Global("WBWatch","GLOBAL",1)~ THEN BEGIN WillieBruceMeetAgain
 SAY ~Oh, 'avin second thoughts are we?~ [WILLY074]
 ++ ~Yeah, on second thought, you look like the kind of drunk who's good in a scrape.~ GOTO WillieBruceMeetAgain1
 ++ ~No, just checking if that stench is emanating from you. It is.~ GOTO WillieBruceMeetAgain2
END

IF ~~ THEN BEGIN WillieBruceMeetAgain1
 SAY ~Great! Now let's get pissed!~
 IF ~~ THEN DO ~SetGlobal("WillieBruceJoined","LOCALS",1)JoinParty()~
EXIT
END

IF ~~ THEN BEGIN WillieBruceMeetAgain2
 SAY ~Then sling y'r 'ook, U SLAG!~
 IF ~~ THEN DO ~EscapeArea()~ EXIT
END
